# O Manual do &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

A Equipa de Desenvolvimento amaroK
Programadores
Pedro
Morais

    morais@kde.org

Tradução
2005
A Equipa de Desenvolvimento do amaroK
&FDLNotice;
2005-01-02
2.1

&amarok; é uma leitor multimédia para o Ambiente de Trabalho K.

KDE
multimédia
leitor
áudio
ogg
mp3
wav
música
som

## Introdução

Logotipo

O &amarok; é o leitor de áudio para o &kde;. O &amarok; é um leitor de áudio completo que tanto é poderoso como fácil de usar.

Já se sentiu preso à procura de menus intermináveis só para adicionar músicas à sua lista? Com o &amarok;, poderá simplesmente arrastar e largar músicas na lista. Talvez queira procurar por aquela música em especial no meio dos milhares da sua colecção. O navegador da colecção do &amarok;, com a sua barra de procura, ajudá-lo-á a procurar essa música numa questão de segundos.

Com isto, parece que o &amarok; tem as mesmas funcionalidades antigas que qualquer leitor de áudio médio tem, mas ainda não parámos. Uma vista de olhos no navegador de contexto fará com que veja porque é que o &amarok; está um passo à frente do resto. O navegador de contexto contém uma base de dados que é compilada na altura para lhe dar estatísticas actualizadas sobre a sua lista. O navegador do contexto também poderá mostrar as imagens das capas dos álbuns, o que o torna não só informativo mas também divertido de ver.

Você já tem várias listas de músicas diferentes mas não se consegue decidir qual deseja usar? Então o navegador das listas de músicas é mesmo o indicado para si. O carregamento das suas listas de músicas gravadas no navegador das listas de músicas é tão simples como carregar numa tecla.

Em conjunto com o aRts, o &amarok; também suporta os servidores de som do GStreamer, do NMM, e do xine, tornando-o o leitor de áudio mais avançado para o &kde;. O &amarok; é inteligente, é 'sexy', é hábil. Tente-o já hoje!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Créditos e Licença

Programa copyright 2003-2004 Mark Kretschmann markey@web.de e A Equipa do AmaroK.

### A Equipa AmaroK

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark é bom, mas não é o irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman e Deus disse, haja o Mac Becker roman@formmorf.de

- Stanislav alguém disse DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner bochi@online.ms

### Contribuições:

- Adam Pigg (analisadores, correcções) adam@piggz.fsnet.co.uk

- Adeodato Simo (correcções) asp16@alu.ua.es

- Andreas Mair (Suporte MySql) am_ml@linogate.com

- Dan Leinir Turthra Jensen (assistente de primeira execução) admin@removeleinir.dk

- Enrico Ros (analisadores, rei do openGL) eros.kde@email.it

- Jarkko Lehti (testes) grue@iki.fi

- Josef Spillner (código do KDE RadioStation) spillner@kde.org

- Kenneth Wesley Wimer II (ícones) kwwii@bootsplash.org

- Melchior Franz (nova rotina FFT, correcções) mfranz@kde.org

- Michael Pyne (código de exportação para o K3B) michael.pyne@kdemail.net

- Nenad Grujicic (ecrã inicial do 1.1) mchitman@neobee.net

- Olivier Bédard (alojamento da página Web) paleo@pwsp.net

- Roland Gigler (motor do MAS) michael.pyne@kdemail.net

- Sami Nieminen (suporte do Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (melhoramentos do OSD, correcções, testes) seb100@optusnet.com.au

- Whitehawk Stormchaser (testes, correcções) zerokode@gmx.net

Documentação copyright 2004 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Instalação

### Como obter o &amarok;

&amarok; pode ser obtido na página do &amarok;

A versão de desenvolvimento mais recente pode ser obtida no módulo de CVS do &kde; kdeextragear-1.

#### Como compilar o &amarok;

Para poder compilar e instalar o amaroK no seu sistema, escreva o seguinte comando na directoria de base da distribuição do amaroK:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

A opção do 'configure' --enable-final já não é mais suportada.

Dado que o &amarok; usa o autoconf e o automake, não deverá ter problemas a compilá-lo. Se porventura os tiver, comunique-os por favor nas listas de correio do &kde;.

#### Opções de Configuração

O &amarok; é como as outras aplicações, na medida em que tem várias opções de compilação que poderão ser activadas ou desactivadas durante o 'configure'. Esta é uma lista das opções que poderão ser configuradas.

Algumas das opções de compilação necessitam de usar certas dependências específicas. Veja a secção de requisitos para mais detalhes.

Opção | Predefinição | Descrição
--- | --- | ---
--enable-debug= | no | Activa os símbolos de depuração. Opte por yes, no e full. Por favor, use o full se estiver interessado em ajudar no desenvolvimento do &amarok;.
--enable-mysql | Desligado | Activa o suporte da base de dados MySQL no &amarok;
--disable-amazon | Activo | Desactiva o suporte de obtenções das capas na Amazon para o &amarok;
--without-arts | Com | Desactiva o suporte do aRts no &amarok;
--without-gstreamer | Com | Desactiva o suporte do GStreamer no &amarok;
--without-xine | Com | Desactiva o suporte do Xine no &amarok;
--with-nmm | Sem | Activa o suporte do NMM no &amarok;
--with-mas | Sem | Activa o suporte do MAS no &amarok;
--without-opengl | Com | Desactiva o suporte de OpenGL (analisador) no &amarok;
--without-included-sqlite | Com | Não usa o código do 'sqlite' incluído (necessita de ter o 'sqlite' instalado)

&documentation.index;